Download it now!
Bug 136240 - File Opening ODT: Slow opening (polypolygon issue) (Skia Raster/Vulkan)
Summary: File Opening ODT: Slow opening (polypolygon issue) (Skia Raster/Vulkan)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: perf
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-08-28 18:53 UTC by Telesto
Modified: 2020-09-04 18:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-08-28 18:53:28 UTC
Description:
File Opening ODT: Slow opening (polypolygon issue) (Skia Raster/Vulkan)

Steps to Reproduce:
1. Open attachment 141434 [details] (bug 117074 and bug 117104)

Actual Results:
Opening takes long time

Expected Results:
As smooth as GDI; so 5 seconds


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 6640d7f405d2970ba2825a9455926cc803284d01
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Vulkan; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Telesto 2020-08-28 18:54:25 UTC
In essence bug 135395 except somewhere else in the code; I guess
Comment 2 Commit Notification 2020-09-01 16:53:02 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8a930585b102eb9b63f7e43b646a8f07ad780ac3

do not try to merge a single polypolygon (tdf#136240)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-09-01 16:53:14 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7957a3c6ab6ba4b61b0a237b680e6393029cc426

no polygon merge in Skia if they contain no straight lines (tdf#136240)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-09-02 08:15:20 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ad438942a43141f8530e70552dda06df2a371c9d

do not try to merge a single polypolygon (tdf#136240)

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-09-02 08:16:30 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/51771f90a115ff30ebebb3c14f1df20bb1efba12

no polygon merge in Skia if they contain no straight lines (tdf#136240)

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-09-04 11:01:05 UTC
@Telesto, could you please verify this issue ?
Comment 7 Telesto 2020-09-04 12:32:22 UTC
Opening speed is pretty OK but surely not as fast as GDI
Version: 7.1.0.0.alpha0+ (x64)
Build ID: e8b8e7be0b2ad693224cd94062a55610eb69df7e
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Vulkan; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL


However zoom/scrolling speed is pretty evil (different bug?) Not seeing polypolygon specific stuff